﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

using Xamarin.Forms;

namespace GettingStarted
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
        private void Button_OnClicked(object sender, EventArgs e)
        {
            //Create a new PDF document.
            PdfDocument document = new PdfDocument();

            //Add a page to the document.
            PdfPage page = document.Pages.Add();

            //Create PDF graphics for the page.
            PdfGraphics graphics = page.Graphics;

            //Set the standard font.
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20);

            //Create red color pen.
            PdfPen redPen = new PdfPen(new PdfColor(Syncfusion.Drawing.Color.FromArgb(255, 0, 0)));            

            //Draw the text.
            graphics.DrawString("Red Pen!!!", font, redPen, new PointF(0, 0));


            redPen.DashStyle = PdfDashStyle.Dot;

            redPen.LineCap = PdfLineCap.Square;
            redPen.Width = 2;
            redPen.LineJoin = PdfLineJoin.Round;

            //Draw the text.
            graphics.DrawLine(redPen,new PointF(0,50),new PointF(100,50));

            //Create red color pen.
            PdfPen greenPen = new PdfPen(new PdfColor(Syncfusion.Drawing.Color.FromArgb(0, 255, 0)));

            //Draw the text.
            graphics.DrawString("Green Pen!!!", font, greenPen, new PointF(150, 0));
        
            greenPen.DashStyle = PdfDashStyle.Custom;

            greenPen.LineCap = PdfLineCap.Square;
            greenPen.Width = 2;
            greenPen.LineJoin = PdfLineJoin.Round;

            //Draw the text.
            graphics.DrawLine(greenPen, new PointF(150, 50), new PointF(250, 50));

            MemoryStream stream = new MemoryStream();
            document.Save(stream);
            Xamarin.Forms.DependencyService.Get<ISave>().SaveTextAsync("Creation.pdf", "application/pdf", stream);
                     
            //Close the document.
            document.Close(true);
        }
    }
}
